View Issue Details

IDProjectCategoryView StatusLast Update
0022598FPCInstallerpublic2014-06-10 21:06
ReporterKjowAssigned ToAbou Al Montacir 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version3.0.0 
Summary0022598: Bad quality packages on Ubuntu 12.04
DescriptionTrying to install on Ubuntu 12.04 x64 any of these files:

fpc_2.6.0-120728_amd64.deb
fpc-src_2.6.0-120728_amd64.deb
lazarus_1.0RC1-0_amd64.deb

I get this warning:

The package doesn't provide a valid Installed-Size control field. See
Debian Policy 5.6.20.

I grabbed he files here:
http://sourceforge.net/projects/lazarus/files/Lazarus%20Linux%20amd64%20DEB/Lazarus%201.0RC1/

I forced the installation with "ignore & install" and they installed.

Anyway, Lazarus IDE seems to work well.
TagsNo tags attached.
Fixed in Revision1106
FPCOldBugId
FPCTarget
Attached Files

Relationships

has duplicate 0022626 resolvedMaxim Ganetsky Lazarus "Debian Policy 5.6.20" warning when installing on Ubuntu 10.04 

Activities

Kjow

2012-10-24 12:20

reporter   ~0063406

This happens also with all latest files on Ubuntu 12.10 x64:

lazarus_1.0.2-0_amd64.deb

fpc_2.6.0-120824_amd64.deb

fpc-src_2.6.0-120824_amd64.deb

Mattias Gaertner

2012-10-24 14:31

manager   ~0063414

The fpc and fpc-src packages were not rebuilt.

Cruxic

2013-07-08 22:10

reporter  

bad quality.jpg (73,080 bytes)
bad quality.jpg (73,080 bytes)

Cruxic

2013-07-08 22:14

reporter   ~0068754

Problem still exists with fpc_2.6.2-0_amd64.deb. Ubuntu 12.10. Screenshot attached.

Mattias Gaertner

2013-07-08 22:26

manager   ~0068755

These are the official fpc packages.
This bug should be moved to fpc.

Mattias Gaertner

2013-07-08 22:33

manager   ~0068756

The lazarus deb was fixed. Issue has been moved to FPC for the fpc packages.

Abou Al Montacir

2014-06-10 21:06

manager   ~0075616

Fixed make deb.

Issue History

Date Modified Username Field Change
2012-08-08 10:59 Kjow New Issue
2012-08-08 11:14 Mattias Gaertner Status new => assigned
2012-08-08 11:14 Mattias Gaertner Assigned To => Mattias Gaertner
2012-08-08 11:50 Vincent Snijders Project Mantis => Lazarus
2012-08-12 19:59 Maxim Ganetsky Relationship added has duplicate 0022626
2012-08-14 22:45 Mattias Gaertner LazTarget => 1.0
2012-08-14 22:45 Mattias Gaertner Category => -
2012-08-20 12:51 Mattias Gaertner Fixed in Revision => 38281
2012-08-20 12:51 Mattias Gaertner Status assigned => resolved
2012-08-20 12:51 Mattias Gaertner Resolution open => fixed
2012-08-20 12:56 Mattias Gaertner Fixed in Revision 38281 => 38282
2012-10-24 12:20 Kjow Status resolved => assigned
2012-10-24 12:20 Kjow Resolution fixed => reopened
2012-10-24 12:20 Kjow Note Added: 0063406
2012-10-24 14:31 Mattias Gaertner Note Added: 0063414
2013-07-08 22:10 Cruxic File Added: bad quality.jpg
2013-07-08 22:14 Cruxic Note Added: 0068754
2013-07-08 22:26 Mattias Gaertner Note Added: 0068755
2013-07-08 22:32 Mattias Gaertner Project Lazarus => FPC
2013-07-08 22:33 Mattias Gaertner Note Added: 0068756
2013-07-08 22:33 Mattias Gaertner Assigned To Mattias Gaertner =>
2013-07-09 13:15 Jonas Maebe Status assigned => new
2013-07-09 13:15 Jonas Maebe Category - => Installer
2013-07-09 13:16 Jonas Maebe Assigned To => Abou Al Montacir
2013-07-09 13:16 Jonas Maebe Status new => assigned
2014-06-10 21:06 Abou Al Montacir Fixed in Revision 38282 => 1106
2014-06-10 21:06 Abou Al Montacir Note Added: 0075616
2014-06-10 21:06 Abou Al Montacir Status assigned => resolved
2014-06-10 21:06 Abou Al Montacir Fixed in Version => 2.7.1
2014-06-10 21:06 Abou Al Montacir Resolution reopened => fixed